.customer-reviews {
  & .customer-reviews__container {
    padding-top: var(--customer-reviews-padding-top-mobile);
    padding-bottom: var(--customer-reviews-padding-bottom-mobile);
  }

  & .customer-reviews__heading-wrapper {
    display: flex;
    gap: 20px;
    justify-content: center;
    align-items: center;
  }

  & .customer-reviews__heading {
    margin: 0;
    font-size: 28px;
    text-align: center;
  }

  & .customer-reviews__button-wrapper {
    display: flex;
    flex: 1;
    justify-content: center;
    margin-top: 24px;
  }

  & .customer-reviews__button {
    font-size: 14px;
    font-weight: 500;
    height: fit-content;
    
    &.button--secondary {
      text-align: center;
      border: 1px solid rgba(var(--color-button-text))
    }
  }

  &:not(:has(.swiper-initialized)) {
    & .customer-reviews__list {
      & .customer-reviews__list-wrapper {
        display: flex;
        flex-wrap: nowrap;
        overflow: scroll;
      }
    }

    & .customer-reviews__review:not(:last-child) {
      margin-right: 10px;
    }
  }

  & .customer-reviews__list {
    margin-top: 30px;
    padding: 0 15px;
  }

  & .customer-reviews__container.page-width .customer-reviews__list {
    padding: 0;
  }

  & .customer-reviews__list-controls {
    display: flex;
    align-items: center;
    gap: 40px;
    margin-top: 24px;

    & .customer-reviews__swiper-pagination {
      position: static;
    }

    & .swiper-pagination-progressbar {
      background-color: rgba(var(--color-foreground), 0.2);
      border-radius: 100px;
      overflow: hidden;
    }

    & .swiper-pagination-progressbar .swiper-pagination-progressbar-fill {
      background-color: rgba(var(--color-accent-1));
      border-radius: 100px;
    }

    & .customer-reviews__list-controls-buttons {
      display: none;
    }
  }

  & .customer-reviews__review {
    width: 270px;
    padding: 15px;
    border-radius: 15px;
    box-sizing: border-box;
    background-color: rgba(var(--color-neutral-2));
    display: flex;
    flex-direction: column;
    gap: 12px;
    height: auto;

    & .customer-review__header {
      display: flex;
      flex-direction: column;
      gap: 4px;
    }

    & .customer-review__author {
      display: flex;
      gap: 10px;
      align-items: center;
    }

    & .customer-review__author-name {
      margin: 0;
      font-size: 14px;
      font-weight: 500;
    }

    & .customer-review__verified {
      display: flex;
      gap: 4px;
      align-items: center;
      color: rgba(var(--color-accent-1))
    }

    & .customer-review__verified-text {
      font-size: 12px;
      line-height: 100%;
      margin: 0;
    }

    & .customer-review__stars {
      display: flex;
      gap: 3px;
    }

    & .customer-review__star {
      display: block;
      width: 16px;
      height: 16px;
      
      & .icon {
        width: 16px;
        height: 16px;
      }
    }

    & .customer-review__star--full {
      color: rgba(var(--color-accent-2));
    }

    & .customer-review__author-name,
    & .customer-review__title {
      margin: 0;
      font-size: 14px;
      line-height: 140%;
      color: rgba(var(--color-foreground), 1)
    }

    & .customer-review__content-wrapper > p {
      font-size: 14px;
      line-height: 140%;
      color: rgba(var(--color-foreground), 1)
    }

    & .customer-review__title {
      font-weight: 500;
    }

    & .customer-review__date {
      margin: 0;
      margin-top: auto;
      font-size: 12px;
      line-height: 140%;
      color: rgba(var(--color-foreground), 0.5);
    }
  }

  & .customer-reviews--desktop {
    display: none;
  }

  & .customer-reviews--hide {
    display: none;
  }

  @media screen and (min-width: 769px) {
    & .customer-reviews--mobile {
      display: none;
    }

    & .customer-reviews--desktop {
      display: block;
    }

    & .customer-reviews__container {
      padding-top: var(--customer-reviews-padding-top-desktop);
      padding-bottom: var(--customer-reviews-padding-bottom-desktop);
    }

    & .customer-reviews__heading-wrapper {
      justify-content: unset;
    }

    & .customer-reviews__heading {
      font-size: 40px;
      text-align: left;
    }

    & .customer-reviews--desktop.customer-reviews__button-wrapper {
      display: flex;
      justify-content: flex-end;
      margin-top: 0;
    }

    & .customer-reviews__button {
      font-size: 14px;
    }

    &:not(&:has(.swiper-initialized)) {
      & .customer-reviews__list {
        & .customer-reviews__review:not(:last-child) {
          margin-right: 16px;
        }
      }
    }

    & .customer-reviews__list {
      margin-top: 40px;
      padding: 0 40px;
    }

    & .customer-reviews__container.page-width .customer-reviews__list {
      padding: 0;
    }

    & .customer-reviews__review {
      width: 443px;
      border-radius: 30px;
      gap: 16px;
      padding: 20px;
      
      & .customer-review__header {
        flex-direction: row;
      }

      & .customer-review__stars {
        flex: 1;
        justify-content: flex-end;
      }

      & .customer-review__author-name,
      & .customer-review__title,
      & .customer-review__content-wrapper > p {
        color: rgba(var(--color-foreground), 1);
        font-size: 16px;
      }
    }

    & .customer-reviews__list-controls {
      & .customer-reviews__list-controls-buttons {
        display: flex;
        flex: 1;
        justify-content: flex-end;
        gap: 16px;

        & .customer-reviews__swiper-button-next,
        & .customer-reviews__swiper-button-prev {
          display: flex;
          position: static;
          width: 56px;
          height: 56px;
          margin: 0;
          border: 1px solid rgba(var(--color-accent-1));
          border-radius: 100%;
        }

        & .customer-reviews__swiper-button-next:after, 
        & .customer-reviews__swiper-button-prev:after {
          font-size: 14px;
          color: rgba(var(--color-accent-1));
        }
      }
  }
  }
}